
Synnefo - Feature # 95

Status: Closed Priority: Low

Author: Constantinos Venetsanopoulos Category: old_synnefo

Created: 12/22/2010 Assignee: Markos Gogoulos

Updated: 02/08/2013 Due date:

Subject: i18n

Description

τα μηνύματα, τίτλοι, και γενικώς το σύνολο της διεπαφής θα πρέπει να ακολουθεί τους κανόνες i18n, και συγκεκριμένα να

βρίσκονται

αποθηκευμένα σε ξεχωριστά αρχεία. Μπορεί να χρησιμοποιηθεί κάποιο εκ των

    -  jQuery.i18n.properties

    -  GETTEXT

    -  JavaScript gettext

History

#1 - 01/08/2011 06:11 pm - Markos Gogoulos

Το σύστημα για το internalization έχει εγκατασταθεί. Οι οδηγίες βρίσκονται στο README.i18n, για το πώς προσθέτουμε γλώσσες και strings για

μετάφραση. Μεταφράσιμο μπορεί να είναι οτιδήποτε βρίσκεται σε αρχεία python (πχ views.py) ή σε αρχεία html (πχ templates). Επίσης έγινε χρήση

του django locale-url για τη διαχείριση των urls και την αλλαγή της γλώσσας απο οποιοδήποτε σημείο του +nefo.

http://docs.djangoproject.com/en/dev/topics/i18n/internationalization/

http://code.google.com/p/django-localeurl/

#2 - 01/08/2011 06:13 pm - Markos Gogoulos

το django-localeurl πρέπει να εγκατασταθεί. Από το directory του project μας, τρέχουμε

$ ./bin/easy_install django-localeurl

#3 - 01/08/2011 06:13 pm - Markos Gogoulos

- Status changed from New to Feedback

#4 - 01/12/2011 12:10 pm - Constantinos Venetsanopoulos

- Status changed from Feedback to Assigned

- Assignee changed from Christos Psaltis to Markos Gogoulos

Θα ξέρει τη γλώσσα με cookie, δεν χρειάζεται να αλλάζουν τα urls. Η εναλλακτική γλώσσα θα κατέβει με άσπρα μικρά γράμματα στο footer κάτω από

τη μπλε γραμμή και μέσα στο γκρί.

#5 - 01/12/2011 12:41 pm - Constantinos Venetsanopoulos

Ισχύουν τα παραπάνω αλλά η γλώσσα να μην πάει τελικά στο footer αλλά δίπλα από το username/settings ως εξής:  

username | settings | en | el 

με την επιλεγμένη να είναι πιο αχνή σαν να μη μπορεί να πατηθεί
http://code.google.com/p/django-localeurl/


#6 - 01/14/2011 02:55 pm - Christos Psaltis

- Status changed from Assigned to Feedback

έχω σπάσει αυτό το τίκετ σε 2 νέα, ένα για την εμφάνιση (#129) και ένα για την λειτουργικότητα (#131).

#7 - 01/14/2011 05:44 pm - Constantinos Venetsanopoulos

- Status changed from Feedback to Closed

ok, closed

#8 - 02/08/2013 06:46 pm - Vangelis Koukis

- Category set to old_synnefo
